## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::SoftShader::iScanlineRenderer::RenderInfoMesh Struct Reference

Information for setting up rendering a mesh, filled by the scanline renderer. More...

`#include <csplugincommon/softshader/scanline.h>`

List of all members.

## Public Attributes

const size_t * | bufferComps
| Numbers of components in buffers.
BuffersMask | desiredBuffers
| Buffers the scanline function expects.
iScanlineRenderer * | renderer
| The renderer object to pass to the scanline function.

## Detailed Description

Information for setting up rendering a mesh, filled by the scanline renderer.

Definition at line 69 of file scanline.h.

## Member Data Documentation

const size_t* CrystalSpace::SoftShader::iScanlineRenderer::RenderInfoMesh::bufferComps

| Numbers of components in buffers. Definition at line 76 of file scanline.h.

BuffersMask CrystalSpace::SoftShader::iScanlineRenderer::RenderInfoMesh::desiredBuffers

| Buffers the scanline function expects. Definition at line 74 of file scanline.h.

iScanlineRenderer* CrystalSpace::SoftShader::iScanlineRenderer::RenderInfoMesh::renderer

| The renderer object to pass to the scanline function. Definition at line 72 of file scanline.h.

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/scanline.h